<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.dmp.rwd.digital.dao.ConnectedBlockMapper">

    <resultMap id="BaseResultMap" type="com.persagy.dmp.digital.entity.ConnectedBlock">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="firstId" column="first_id" jdbcType="VARCHAR"/>
            <result property="firstType" column="first_type" jdbcType="VARCHAR"/>
            <result property="firstModelId" column="first_model_id" jdbcType="VARCHAR"/>
            <result property="secondId" column="second_id" jdbcType="VARCHAR"/>
            <result property="secondType" column="second_type" jdbcType="VARCHAR"/>
            <result property="secondModelId" column="second_model_id" jdbcType="VARCHAR"/>
            <result property="direction" column="direction" jdbcType="TINYINT"/>
            <result property="blockId" column="block_id" jdbcType="VARCHAR"/>
            <result property="projectId" column="project_id" jdbcType="VARCHAR"/>
            <result property="depth" column="depth" jdbcType="TINYINT"/>
            <result property="mepSystemType" column="mep_system_type" jdbcType="VARCHAR"/>
            <result property="domain" column="domain" jdbcType="VARCHAR"/>
            <result property="buildingId" column="building_id" jdbcType="VARCHAR"/>
            <result property="firstTypeCode" column="first_type_code" jdbcType="VARCHAR"/>
            <result property="secondTypeCode" column="second_type_code" jdbcType="VARCHAR"/>
            <result property="creator" column="creator" jdbcType="VARCHAR"/>
            <result property="creationTime" column="creation_time" jdbcType="CHAR"/>
            <result property="modifier" column="modifier" jdbcType="VARCHAR"/>
            <result property="modifiedTime" column="modified_time" jdbcType="CHAR"/>
            <result property="valid" column="valid" jdbcType="TINYINT"/>
            <result property="ts" column="ts" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,first_id,first_type,
        first_model_id,second_id,second_type,
        second_model_id,direction,block_id,
        project_id,depth,mep_system_type,
        domain,building_id,first_type_code,
        second_type_code,creator,creation_time,
        modifier,modified_time,valid,
        ts
    </sql>
</mapper>
